diff --git a/src/backend/access/common/bufmask.c b/src/backend/access/common/bufmask.c
index 57021f6ca1a..806f28e4211 100644
--- a/src/backend/access/common/bufmask.c
+++ b/src/backend/access/common/bufmask.c
@@ -10,7 +10,7 @@
  * Contains common routines required for masking a page.
  *
  * IDENTIFICATION
- *	  src/backend/storage/buffer/bufmask.c
+ *	  src/backend/access/common/bufmask.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/backend/commands/dropcmds.c b/src/backend/commands/dropcmds.c
index 4b38ef68d98..a2a8e37b3c3 100644
--- a/src/backend/commands/dropcmds.c
+++ b/src/backend/commands/dropcmds.c
@@ -8,7 +8,7 @@
  *
  *
  * IDENTIFICATION
- *	  src/backend/catalog/dropcmds.c
+ *	  src/backend/commands/dropcmds.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/backend/jit/llvm/llvmjit_types.c b/src/backend/jit/llvm/llvmjit_types.c
index 42304d06401..58316a760d4 100644
--- a/src/backend/jit/llvm/llvmjit_types.c
+++ b/src/backend/jit/llvm/llvmjit_types.c
@@ -19,7 +19,7 @@
  * Copyright (c) 2016-2018, PostgreSQL Global Development Group
  *
  * IDENTIFICATION
- *	  src/backend/lib/llvmjit_types.c
+ *	  src/backend/jit/llvm/llvmjit_types.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/backend/utils/cache/relfilenodemap.c b/src/backend/utils/cache/relfilenodemap.c
index db6bb1c1fd4..6f6bba79c34 100644
--- a/src/backend/utils/cache/relfilenodemap.c
+++ b/src/backend/utils/cache/relfilenodemap.c
@@ -7,7 +7,7 @@
  * Portions Copyright (c) 1994, Regents of the University of California
  *
  * IDENTIFICATION
- *	  src/backend/utils/cache/relfilenode.c
+ *	  src/backend/utils/cache/relfilenodemap.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/backend/utils/misc/queryenvironment.c b/src/backend/utils/misc/queryenvironment.c
index bc2b1e81866..8547c14cc79 100644
--- a/src/backend/utils/misc/queryenvironment.c
+++ b/src/backend/utils/misc/queryenvironment.c
@@ -16,7 +16,7 @@
  *
  *
  * IDENTIFICATION
- *	  src/backend/backend/utils/misc/queryenvironment.c
+ *	  src/backend/utils/misc/queryenvironment.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/backend/utils/mmgr/memdebug.c b/src/backend/utils/mmgr/memdebug.c
index d45534d2938..b937b1541b2 100644
--- a/src/backend/utils/mmgr/memdebug.c
+++ b/src/backend/utils/mmgr/memdebug.c
@@ -8,7 +8,7 @@
  * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
  *
- * src/backend/utils/memdebug.c
+ * src/backend/utils/mmgr/memdebug.c
  *
  *
  *	About CLOBBER_FREED_MEMORY:
diff --git a/src/backend/utils/sort/sharedtuplestore.c b/src/backend/utils/sort/sharedtuplestore.c
index 265c04b3d39..0c4ca9ef3fa 100644
--- a/src/backend/utils/sort/sharedtuplestore.c
+++ b/src/backend/utils/sort/sharedtuplestore.c
@@ -14,7 +14,7 @@
  * Portions Copyright (c) 1994, Regents of the University of California
  *
  * IDENTIFICATION
- *	  src/backend/util/sort/sharedtuplestore.c
+ *	  src/backend/utils/sort/sharedtuplestore.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/common/file_perm.c b/src/common/file_perm.c
index 9fd11df2886..3ce4509089a 100644
--- a/src/common/file_perm.c
+++ b/src/common/file_perm.c
@@ -6,7 +6,7 @@
  * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
  *
- * src/include/common/file_perm.c
+ * src/common/file_perm.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/common/unicode/norm_test.c b/src/common/unicode/norm_test.c
index 56759bee8db..dac455282e6 100644
--- a/src/common/unicode/norm_test.c
+++ b/src/common/unicode/norm_test.c
@@ -5,7 +5,7 @@
  * Portions Copyright (c) 2017-2018, PostgreSQL Global Development Group
  *
  * IDENTIFICATION
- *	  src/common/unicode_norm.c
+ *	  src/common/unicode/norm_test.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/include/storage/sharedfileset.h b/src/include/storage/sharedfileset.h
index d74c488e590..ed6b178aede 100644
--- a/src/include/storage/sharedfileset.h
+++ b/src/include/storage/sharedfileset.h
@@ -7,7 +7,7 @@
  * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
  *
- * src/include/storage/sharedfilespace.h
+ * src/include/storage/sharedfileset.h
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/include/utils/evtcache.h b/src/include/utils/evtcache.h
index 727b6ba5887..0d0dd3d8170 100644
--- a/src/include/utils/evtcache.h
+++ b/src/include/utils/evtcache.h
@@ -1,13 +1,13 @@
 /*-------------------------------------------------------------------------
  *
- * evtcache.c
+ * evtcache.h
  *	  Special-purpose cache for event trigger data.
  *
  * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
  * Portions Copyright (c) 1994, Regents of the University of California
  *
  * IDENTIFICATION
- *	  src/backend/utils/cache/evtcache.c
+ *	  src/include/utils/evtcache.h
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/interfaces/ecpg/include/sqlda-compat.h b/src/interfaces/ecpg/include/sqlda-compat.h
index 7393182aa95..7b0ac45c42f 100644
--- a/src/interfaces/ecpg/include/sqlda-compat.h
+++ b/src/interfaces/ecpg/include/sqlda-compat.h
@@ -1,5 +1,5 @@
 /*
- * pgsql/src/interfaces/ecpg/include/sqlda-infx-compat.h
+ * src/interfaces/ecpg/include/sqlda-compat.h
  */
 
 #ifndef ECPG_SQLDA_COMPAT_H
